Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_api.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_api.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_api.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -40,9 +40,9 @@
  */
 
-#include "include/ppctypes.h"
-#include "bestcomm_api.h"
-#include "task_api/bestcomm_cntrl.h"
-#include "task_api/bestcomm_api_mem.h"
-#include "task_api/tasksetup_bdtable.h"
+#include <bsp/bestcomm/include/ppctypes.h>
+#include <bsp/bestcomm/bestcomm_api.h>
+#include <bsp/bestcomm/task_api/bestcomm_cntrl.h>
+#include <bsp/bestcomm/task_api/bestcomm_api_mem.h>
+#include <bsp/bestcomm/task_api/tasksetup_bdtable.h>
 
 /***********************************************************************
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -21,11 +21,11 @@
 #include <bsp.h>
 #include <bsp/irq.h>
-#include "../include/mpc5200.h"
-#include "include/ppctypes.h"			/* uint32, et. al.		   */
-#include "dma_image.h"
-#include "task_api/bestcomm_cntrl.h"
-#include "bestcomm_api.h"
-#include "bestcomm_glue.h"
-#include "include/mgt5200/sdma.h"
+#include <bsp/mpc5200.h>
+#include <bsp/bestcomm/include/ppctypes.h> /* uint32, et. al.		   */
+#include <bsp/bestcomm/dma_image.h>
+#include <bsp/bestcomm/task_api/bestcomm_cntrl.h>
+#include <bsp/bestcomm/bestcomm_api.h>
+#include <bsp/bestcomm/bestcomm_glue.h>
+#include <bsp/bestcomm/include/mgt5200/sdma.h>
 #include <rtems/score/heapimpl.h>
 
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -23,5 +23,5 @@
 ******************************************************************************/
 
-#include "dma_image.h"
+#include <bsp/bestcomm/dma_image.h>
 
 TASK_PCI_TX_api_t  TASK_PCI_TX_storage;
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.reloc.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.reloc.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/dma_image.reloc.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -24,5 +24,5 @@
 
 
-#include "include/ppctypes.h"
+#include <bsp/bestcomm/include/ppctypes.h>
 
 uint32 taskTableBytes = 0x00001500;  /* Number of bytes in image */
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/load_task.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/load_task.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/load_task.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -27,10 +27,10 @@
 #endif
 
-#include "include/ppctypes.h"
-#include "include/mgt5200/sdma.h"
-#include "include/mgt5200/mgt5200.h"
+#include <bsp/bestcomm/include/ppctypes.h>
+#include <bsp/bestcomm/include/mgt5200/sdma.h>
+#include <bsp/bestcomm/include/mgt5200/mgt5200.h>
 
-#include "dma_image.h"
-#include "bestcomm_api.h"
+#include <bsp/bestcomm/dma_image.h>
+#include <bsp/bestcomm/bestcomm_api.h>
 
 #ifdef __MWERKS__
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_ata.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_ata.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_ata.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_bdtable.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_bdtable.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_bdtable.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -25,8 +25,8 @@
 #include <assert.h>
 
-#include "bestcomm_api.h"
-#include "bestcomm_glue.h"
-#include "task_api/tasksetup_bdtable.h"
-#include "include/mgt5200/mgt5200.h"
+#include <bsp/bestcomm/bestcomm_api.h>
+#include <bsp/bestcomm/bestcomm_glue.h>
+#include <bsp/bestcomm/task_api/tasksetup_bdtable.h>
+#include <bsp/bestcomm/include/mgt5200/mgt5200.h>
 
 #ifdef __MWERKS__
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_0.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_0.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_0.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_1.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_1.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_crc16_dp_1.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_rx_bd.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_rx_bd.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_rx_bd.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -35,4 +35,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_tx_bd.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_tx_bd.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_fec_tx_bd.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -36,3 +36,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_0.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_0.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_0.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_1.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_1.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_1.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_2.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_2.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_2.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_3.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_3.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_3.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_0.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_0.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_0.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_1.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_1.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_dp_bd_1.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_rx_bd.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_rx_bd.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_rx_bd.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_tx_bd.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_tx_bd.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_gen_tx_bd.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_lpc.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_lpc.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_lpc.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_rx.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_rx.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_rx.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_tx.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_tx.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/tasksetup_pci_tx.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -34,4 +34,3 @@
 #define TYPE_DST          FLEX_T
 
-#include "task_api/tasksetup_general.h"
-
+#include <bsp/bestcomm/task_api/tasksetup_general.h>
Index: c/src/lib/libbsp/powerpc/gen5200/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/console/console.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/console/console.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -100,5 +100,5 @@
 
 #include <rtems.h>
-#include "../include/mpc5200.h"
+#include <bsp/mpc5200.h>
 #include <bsp.h>
 #include <bsp/irq.h>
Index: c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -31,8 +31,8 @@
  * http://www.rtems.org/license/LICENSE.
  */
-#include "mpc5200mbus.h"
-#include "../include/mpc5200.h"
+#include "../i2c/mpc5200mbus.h"
+#include <bsp/mpc5200.h>
 #include <bsp/irq.h>
-#include "../include/i2c.h"
+#include <i2c.h>
 
 /* Events of I2C machine */
Index: c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.h
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.h	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/i2c/mpc5200mbus.h	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -35,6 +35,7 @@
 #define __MPC5200BSP_MPC5200MBUS_H__
 
-#include "../include/mpc5200.h"
-#include "../include/i2c.h"
+#include <bsp/mpc5200.h>
+#include <i2c.h>
+
 
 /* States of I2C machine */
Index: c/src/lib/libbsp/powerpc/gen5200/ide/idecfg.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ide/idecfg.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/ide/idecfg.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -20,5 +20,5 @@
 #include <bsp.h>
 #include <bsp/irq.h>
-#include "../include/mpc5200.h"
+#include <bsp/mpc5200.h>
 #include "./pcmcia_ide.h"
 
Index: c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -82,5 +82,5 @@
 #include <bsp.h>
 #include <bsp/irq.h>
-#include "../include/mpc5200.h"
+#include <bsp/mpc5200.h>
 #include "./pcmcia_ide.h"
 
Index: c/src/lib/libbsp/powerpc/gen5200/mscan/mscan.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/mscan/mscan.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/mscan/mscan.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -25,5 +25,5 @@
 #include <string.h>
 
-#include "../include/bsp.h"
+#include <bsp.h>
 #include <bsp/fatal.h>
 #include <bsp/irq.h>
Index: c/src/lib/libbsp/powerpc/gen5200/mscan/mscan_int.h
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/mscan/mscan_int.h	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/mscan/mscan_int.h	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -29,5 +29,5 @@
 #include <bsp/mscan-base.h>
 
-#include "../mscan/mscan.h"
+#include <bsp/mscan.h>
 
 #define MSCAN_RX_BUFF_NUM        4
Index: c/src/lib/libbsp/powerpc/gen5200/nvram/nvram.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/nvram/nvram.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/nvram/nvram.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -84,6 +84,6 @@
 #include <stdio.h>
 #include <bsp.h>
-#include "../include/mpc5200.h"
-#include "nvram.h"
+#include <bsp/mpc5200.h>
+#include <bsp/nvram.h>
 #include "m93cxx.h"
 
Index: c/src/lib/libbsp/powerpc/gen5200/slicetimer/slicetimer.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/slicetimer/slicetimer.c	(revision 9c91520ad6e2421899fe17e08e35604deabbac69)
+++ c/src/lib/libbsp/powerpc/gen5200/slicetimer/slicetimer.c	(revision caeaae2673b28cbe38a834437a5eb9c53aca6d4a)
@@ -108,6 +108,6 @@
 
 #include <bsp/irq.h>
-#include "../include/mpc5200.h"
-#include "../slicetimer/slicetimer.h"
+#include <bsp/mpc5200.h>
+#include <bsp/slicetimer.h>
 #include <stdio.h>
 
